OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class IpList

    java.lang.Object
      org.opennms.netmgt.config.collectd.IpList

All Implemented Interfaces:
  java.io.Serializable

public class IpList
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_ipAddrList`
`private java.util.ArrayList` `_ipAddrMaskList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`IpList()`

Method Summary
`void` `addIpAddr(int index, java.lang.String vIpAddr)`
`void` `addIpAddr(java.lang.String vIpAddr)`
`void` `addIpAddrMask(int index, java.lang.String vIpAddrMask)`
`void` `addIpAddrMask(java.lang.String vIpAddrMask)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearIpAddr()`
`void` `clearIpAddrMask()`
`java.util.Enumeration` `enumerateIpAddr()`
`java.util.Enumeration` `enumerateIpAddrMask()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String[]` `getIpAddr()`
`java.lang.String` `getIpAddr(int index)`
`java.util.Collection` `getIpAddrCollection()`
`int` `getIpAddrCount()`
`java.lang.String[]` `getIpAddrMask()`
`java.lang.String` `getIpAddrMask(int index)`
`java.util.Collection` `getIpAddrMaskCollection()`
`int` `getIpAddrMaskCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeIpAddr(java.lang.String vIpAddr)`
`boolean` `removeIpAddrMask(java.lang.String vIpAddrMask)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setIpAddr(int index, java.lang.String vIpAddr)`
`void` `setIpAddr(java.lang.String[] ipAddrArray)`
`void` `setIpAddrCollection(java.util.Collection vIpAddr)`
`void` `setIpAddrMask(int index, java.lang.String vIpAddrMask)`
`void` `setIpAddrMask(java.lang.String[] ipAddrMaskArray)`
`void` `setIpAddrMaskCollection(java.util.Collection vIpAddrMask)`
`static IpList` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _ipAddrList

    private java.util.ArrayList _ipAddrList

### _ipAddrMaskList

    private java.util.ArrayList _ipAddrMaskList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### IpList

    public IpList()

Method Detail

### addIpAddr

    public void addIpAddr(java.lang.String vIpAddr)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIpAddr` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIpAddr

    public void addIpAddr(int index,
                          java.lang.String vIpAddr)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIpAddr` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIpAddrMask

    public void addIpAddrMask(java.lang.String vIpAddrMask)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIpAddrMask` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIpAddrMask

    public void addIpAddrMask(int index,
                              java.lang.String vIpAddrMask)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIpAddrMask` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearIpAddr

    public void clearIpAddr()

### clearIpAddrMask

    public void clearIpAddrMask()

### enumerateIpAddr

    public java.util.Enumeration enumerateIpAddr()

### enumerateIpAddrMask

    public java.util.Enumeration enumerateIpAddrMask()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getIpAddr

    public java.lang.String getIpAddr(int index)
                               throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIpAddr

    public java.lang.String[] getIpAddr()

### getIpAddrCollection

    public java.util.Collection getIpAddrCollection()

### getIpAddrCount

    public int getIpAddrCount()

### getIpAddrMask

    public java.lang.String getIpAddrMask(int index)
                                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIpAddrMask

    public java.lang.String[] getIpAddrMask()

### getIpAddrMaskCollection

    public java.util.Collection getIpAddrMaskCollection()

### getIpAddrMaskCount

    public int getIpAddrMaskCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeIpAddr

    public boolean removeIpAddr(java.lang.String vIpAddr)

  Parameters:
    `vIpAddr` -

### removeIpAddrMask

    public boolean removeIpAddrMask(java.lang.String vIpAddrMask)

  Parameters:
    `vIpAddrMask` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setIpAddr

    public void setIpAddr(int index,
                          java.lang.String vIpAddr)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIpAddr` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIpAddr

    public void setIpAddr(java.lang.String[] ipAddrArray)

  Parameters:
    `ipAddrArray` -

### setIpAddrCollection

    public void setIpAddrCollection(java.util.Collection vIpAddr)

  Parameters:
    `vIpAddr` -

### setIpAddrMask

    public void setIpAddrMask(int index,
                              java.lang.String vIpAddrMask)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIpAddrMask` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIpAddrMask

    public void setIpAddrMask(java.lang.String[] ipAddrMaskArray)

  Parameters:
    `ipAddrMaskArray` -

### setIpAddrMaskCollection

    public void setIpAddrMaskCollection(java.util.Collection vIpAddrMask)

  Parameters:
    `vIpAddrMask` -

### unmarshal

    public static IpList unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.